include mixins

doctype html
head
  +head
  
.click-closed
+navbar('blog')
section.intro-single
  .container
    .row
      .col-md-12.col-lg-8
        .title-single-box
          h1.title-single Editar Noticia
      .col-md-12.col-lg-4
        nav.breadcrumb-box.d-flex.justify-content-lg-end(aria-label='breadcrumb')
          ol.breadcrumb
            li.breadcrumb-item
              a(href='/') Home
            li.breadcrumb-item.active(aria-current='page')
              | About
                
    section.contact
        .container
            .row
                .col-sm-12
                .col-sm-12.section-t8
                    .row
                        .col-md-12
                            - var error = error
                            +error(error)
                            - var noticia= noticia
                            form.form-a(method='POST' action=`/updateblog/${noticia._id}?_method=PUT`)
                                input(type='hidden' name='_method' value='PUT')
                                .row
                                    .col-md-6.mb-3
                                        .form-group
                                            label(for='title') Titulo:
                                            input.form-control.form-control-lg.form-control-a(type='text' name='titulo' required='' value=`${noticia.titulo}` )
                                    .col-md-6.mb-3
                                        .form-group
                                           label(for='desc') Autor:
                                           input.form-control.form-control-lg.form-control-a(type='text' name='autor' required='' value=`${noticia.autor}` )
                                    .col-md-12.mb-3
                                        .form-group
                                            label(for='title') Encabezado:
                                            textarea.form-control(name="encabezado" cols='45' rows='5') #{noticia.encabezado}
                                    .col-md-12.mb-3
                                        .form-group
                                            label(for='desc') Descripción:
                                            textarea.form-control(name="descripcion" cols='45' rows='5' ) #{noticia.descripcion}
                                    .col-md-6.mb-3
                                        .form-group
                                            label(for='desc') Imagen:
                                            input.form-control.form-control-lg.form-control-a(type='text' name='image' required='' value=`${noticia.image}` )
                                    
                                    .col-md-6.mb-3
                                        .form-group
                                           label(for='desc') Categoria:
                                           input.form-control.form-control-lg.form-control-a(type='text' name='categoria' required='' value=`${noticia.categoria}` )
                                    .col-md-12.mb-3
                                           label(for='desc') Tags:
                                    .col-md-4.mb-3
                                        .form-group
                                           input.form-control.form-control-lg.form-control-a(type='text' name='tag' required='' value=`${noticia.tags[0]}` )
                                    .col-md-4.mb-3
                                        .form-group
                                           input.form-control.form-control-lg.form-control-a(type='text' name='tag1' value=`${noticia.tags[1] || ''}` )
                                    .col-md-4.mb-3
                                        .form-group
                                           input.form-control.form-control-lg.form-control-a(type='text' name='tag2' value=`${noticia.tags[2] || ''}` )
                                    .col-md-6.mb-3
                                        .form-group
                                            a.btn.btn-a(href=`/blog`) Cancelar
                                    .col-md-6.mb-3
                                        .form-group
                                            button.btn.btn-a(type='submit') Actualizar Noticia

+footer
+scripts